import { AxiosError, AxiosResponse } from "axios";
export declare class IngkaError extends Error {
}
export declare class IngkaParseError extends IngkaError {
    data: unknown;
    constructor(message: string, data?: unknown);
}
export declare class IngkaResponseError extends IngkaError {
    res?: AxiosResponse;
    constructor(message: string, error?: AxiosError);
}
export declare class IngkaNotFoundError extends IngkaResponseError {
}
